import 'package:get/get.dart';

class MyTranslation extends Translations {
  @override
  Map<String, Map<String, String>> get keys => {
        'ar': {
          'choose_lang': 'اختر اللغة',
          'ar': 'العربية',
          'en': 'الإنكليزية',
          'login': 'تسجيل الدخول',
          'welcome_back': 'أهلاً بعودتك!',
          'login_caption':
              'سجل الدخول باستخدام البريد الإلكتروني و كلمة المرور',
          'email_label': 'البريد الإلاكتروني:',
          'email_caption': 'أدخل البريد الإلاكتروني',
          'password_label': 'كلمة المرور:',
          'password_caption': 'أدخل كلمة المرور',
          'forget_password': 'هل نسيت كبمة المرور؟',
          'dont_have_an_account': ' ليس لديك حساب حتى الآن؟',
          'register_now': 'سجل الآن',
          'continue': 'استمرار',
          'skip': 'تخطي',
          'choose_product': 'اختر منتج',
          'choose_product_caption':
              'لدينا أكثر من 100 ألف منتج. يمكنك اختيار \n منتجك من متجرنا الاإلكتروني.',
          'easy_safe_payment': 'سهل الإستخدام و آمن',
          'easy_safe_payment_caption':
              'طريقة دفع سهلة و آمنة. موثوق بنا من قبل \n عملاءنا من جميع أنحاء العالم.',
          'track_your_order': 'تتبع طلبك',
          'track_your_order_caption':
              'تم استخدام أفضل تقنية تتبع لتتمكن من تتبع طلبك \n . ستعرف مكان طلبك في كل لحظة.',
          'fast_delivery': 'توصيل سريع',
          'fast_delivery_caption':
              'توصيل موثوق و سريع. نحن نقوم بإيصال \n طلبك بأسرع وقت ممكن.',
          'sign_up': 'إنشاء حساب',
          'user_name_label': 'اسم المستخدم:',
          'user_name_caption': 'أدخل اسم المستخدم',
          'phone_label': 'رقم الهاتف:',
          'phone_caption': 'أدخل رقم الهاتف',
          'sign_up_caption':
              'قم بإنشاء حساب باستخدام البريد الإلكتروني و كلمة المرور',
          'login_with': 'أو سجل باستخدام',
          'already_have_an_account': 'لديك حساب بالفعل؟ ',
          'login_now': 'سجل دخول الآن',
          'check_mail': 'تحقق من بريدك الإلكتروني',
          'check': 'تحقق',
          'verification_code': 'رمز التحقق',
          'check_email_caption':
              'الرجاس إدخال البريد الإلكتروني ليتم \n إرسال رمز التحقق.',
          'check_code': 'تحقق من الرمز',
          'check_code_caption': 'الرجاء إدخال رمز التحقق الذي تم إراسله ',
          'reset_password': 'إعادة تعيين كلمة المرور',
          'new_password': 'كلمة المرور الجديدة',
          'new_password_caption': 'الرجاء إدخال كلمة المرور الجديدة.',
          'save': 'حفظ',
          're_password_caption': 'أعد إدخال كلمة المرور',
          're_password_label': 'التحقق من كلمة المرور',
          'sign_up_success': 'تم التسجيل بنجاح',
          'success': 'تم التحقق بنجاح!',
          'go_to_login': 'الذهاب إلى تسجيل الدخول',
          'congratulations': 'هنيئاً',
          'successfully_registered': 'تم إنشاء الحساب بنجاح!',
          'not_valid_username': 'اسم المستخدم هذا غير صالح.',
          'not_valid_email': 'بريد إلكتروني غير صالح.',
          'not_valid_phone': 'رقم هاتف غير صالح.',
          'cant_be_empty': 'لا يمكن تركه فارغ.',
          'cant_be_less_than': 'لا يمكن أن يكون أقل من ',
          'cant_be_more_than': 'لا يمكن أن يكون أكبر من ',
          'characters': 'أحرف.',
          'confirm': 'تأكيد',
          'cancel': 'إلغاء',
          'alert': 'تنبيه!',
          'email_already_exist': 'هذا البريد الإيكتروني موجود مسبقاً.',
          'an_error_accord': 'حدث خطأ ما.',
          'not_match': 'رمز التحقق غير متطابق.',
          'categories': 'الأقسام',
          'products_for_you': 'منتجات تهمك',
          'offers': 'العروض التخفيضية',
          'search': 'بحث',
          'home': 'الصفحة الرئيسية',
          'settings': 'الإعدادات',
          'favorites': 'المفضلة',
          'profile': 'الملف الشخصي',
          'rating': 'التقييم',
          'my_cart': 'سلة المشتريات',
          'rating_comment':
              'اضغط على النجوم لتضع تقييمك. أضف تعليق \n إذا كان هناك المزيد.',
          'enter_your_comment': 'أضف تعليقك',
          'submit': 'إرسال',
          'notifications': 'الإشعارات',
          'bending_orders': 'الطلبات المعلقة',
          'archived_orders': 'الطلبات المستلمة',
          'addresses': 'العناوين',
          'about_us': 'حول المتجر',
          'contact_us': 'تواصل معنا',
          'logout': 'تسجيل الخروج',
          'add_to_cart': 'إضافة إلى السلة',
          'remove_from_cart': 'إزالة من السلة',
          'applied': 'تفعيل',
          'enter_coupon_code': 'أدخل رمز الخصم',
          'price': 'السعر',
          'discount': 'الخصم',
          'shipping': 'التوصيل',
          'total_price': 'السعر الإجمالي',
          'place_order': 'تأكيد الطلب',
          'delete': 'حذف',
          'you_have': 'لديك',
          'items_in_your_cart': 'منتجات في السلة',
          'using_coupon': 'الكوبون المستخدم',
          'choose_payment_method': 'اختر طريقة الدقع',
          'payment_cards': 'بطاقات الدفع',
          'cash_on_delivery': 'الدفع عند التوصيل',
          'choose_delivery_type': 'أختر طريقة الاستلام',
          'drive_thru': 'استلام مباشر',
          'delivery': 'توصيل',
          'check_out': 'تأكيد',
          'await_approval': 'بإنتظار الموافقة',
          'preparing': 'قيد التحضير',
          'on_the_way': 'على الطريق',
          'order_status': 'حالة الطلب',
          'order_type': 'نوع الاستلام',
          'payment_method': 'طريقة الدفع',
          'order_price': 'السعر',
          'order_dtails': 'تفاصيل الطلب',
          'delete_order': 'حذف الطلب',
          'order_id': 'رقم الطلب',
          'product': 'المنتج',
          'quantity': 'الكمية',
          'add_new_address': 'إضافة عنوان جديد',
          'add_details_address': 'إضافة تفاصيل العنوان',
          'name': 'الاسم',
          'enter_location_name': 'أدخل اسم العنوان',
          'city': 'المدينة',
          'enter_city_name': 'أدخل اسم المدينة',
          'street': 'الشارع',
          'enter_street_name': 'أدخل اسم الشارع',
          'phone': 'الهاتف',
          'enter_receiver_phone': ' أدخل هاتف المستلم',
          'add': 'إضافة',
          'choose_delivery_address': 'إختر عنوان التوصيل',
          'rate': 'تقييم',
          'pending_orders': 'بإنتظار الموافقة',
          'accepted_orders': 'تم الموافقة',
          'approve_order': 'قبول الطلب',
          'deliver_order': 'تم التسليم',
          'users': 'المستخدمين',
          'orders': 'الطلبات',
          'reports': 'التقارير',
          'add_category': 'إضافة قسم',
          'update_category': 'تعديل القسم',
          'add_item': 'إضافة منتج',
          'update_item': 'تعديل المنتج',
          'items': 'المنتجات',
          'enter_category_name_in_arabic': 'أدخل اسم المنتج باللغة العريبة',
          'enter_item_name_in_arabic': 'أدخل اسم القسم باللغة العريبة',
          'enter_category_name_in_english': 'أدخل اسم القسم باللغة الإنكليزية',
          'enter_item_name_in_english': 'أدخل اسم المنتج باللغة الإنكليزية',
          'arabic_name': 'الاسم العربي',
          'english_name': 'الاسم الإنكليزي',
          'choose_image': 'إختيار صورة',
          'create_category': 'إنشاء القسم',
          'create_item': 'إنشاء منتج',
          'change_image': 'تغيير الصورة',
          'select_image_first': 'إختر صورة أولاً',
          'enter_item_desk_in_english': 'أدخل وصف المنتج باللغة الإنكليزية',
          'englis_desk': 'الوصف الإنكليزي',
          'enter_item_desk_in_arabic': 'أدخل وصف المنتج باللغة العربية',
          'arabic_desk': 'الوصف العربي',
          'enter_the_discount': 'ادخل التخفيض',
          'enter_the_price': 'أدخل السعر',
          'enter_the_count': 'أدخل الكمية',
          'count': 'الكمية',
          'image_from_camera': 'التقاط صورة',
          'image_from_gallery': 'صورة من الاستديو',
          'choose_category': 'إختر القسم',
          'active': 'تفعيل',
          'hide': 'إخفاء',
          'prepare_order': 'تحضير الطلب',
          'tracking': 'تتبع',
        },
        'en': {
          'choose_lang': 'Choose Language',
          'ar': 'Arabic',
          'en': 'English',
          'login': 'Login',
          'welcome_back': 'Welcome Back!',
          'login_caption': 'Login With Your Email And Password',
          'email_label': 'Email:',
          'email_caption': 'Enter Your Email',
          'password_label': 'Password:',
          'password_caption': 'Enter Your Password',
          'forget_password': 'Forget Password?',
          'dont_have_an_account': 'Don\'t Have An Account? ',
          'register_now': 'Register Now',
          'continue': 'Continue',
          'skip': 'Skip',
          'choose_product': 'Choose Product',
          'choose_product_caption':
              'We Have a 100k+ Products. Choose \n Your Product From Our \n E-commerce Shop.',
          'easy_safe_payment': 'Easy & Safe Payment',
          'easy_safe_payment_caption':
              'Easy Checkout & Safe Payment \n method. Trusted By Our Customers \n From All Over The World.',
          'track_your_order': 'Track Your Order',
          'track_your_order_caption':
              'Best Tracker Has Been Used For \n Track Your Order. You\'ll Know Where \n Your Product Is At The Moment.',
          'fast_delivery': 'Fast Delivery',
          'fast_delivery_caption':
              'Reliable And Fast Delivery. We \n Deliver Your Product The Fastest \n Way Possible',
          'sign_up': 'SignUp',
          'user_name_label': 'UserName:',
          'user_name_caption': 'Enter Your UserName:',
          'phone_label': 'Phone:',
          'phone_caption': 'Enter Your Phone',
          'sign_up_caption': 'Sign Up With Your Email And Password',
          'login_with': 'Or Login With',
          'already_have_an_account': 'Already Have An Account? ',
          'login_now': 'Login Now',
          'check_mail': 'Check Your Email',
          'check': 'Check',
          'verification_code': 'Verification Code',
          'check_email_caption':
              'Please Enter Your Email Address \n To Recive A Verification Code.',
          'check_code': 'Check The Code',
          'check_code_caption': 'Please Enter The Digits Code Sent To ',
          'reset_password': 'Reset Password',
          'new_password': 'New Password',
          'new_password_caption': 'Please Enter Your New Passwword.',
          'save': 'Save',
          're_password_caption': 'Please Enter Your Password Again',
          're_password_label': 'Confirm Password',
          'sign_up_success': 'Signed Up Successfully',
          'success': 'Success',
          'go_to_login': 'Go To Login',
          'congratulations': 'Congratulations',
          'successfully_registered': 'Successfully R egistered',
          'not_valid_username': 'Not Valid UserName.',
          'not_valid_email': 'Not Valid Email.',
          'not_valid_phone': 'Not valid Phone.',
          'cant_be_empty': 'Can\'t Be Empty.',
          'cant_be_less_than': 'Can\'t Be Less Than ',
          'cant_be_more_than': 'Can\'t Be More Than ',
          'characters': 'Characters.',
          'confirm': 'Confirm',
          'cancel': 'Cancel',
          'alert': 'Alert!',
          'email_already_exist': 'This Email Already Exists.',
          'an_error_accord': 'An Error Accord.',
          'not_match': 'Veridication Code Not Match.',
          'categories': 'Categories',
          'products_for_you': 'Products For You',
          'offers': 'Offers',
          'search': 'Search',
          'home': 'Home',
          'settings': 'Setings',
          'favorites': 'Favorites',
          'profile': 'Profile',
          'rating': 'Rating',
          'my_cart': 'My Cart',
          'rating_comment':
              'Tap a star to set your rating. Add more description here if you want.',
          'enter_your_comment': 'Enter your comment.',
          'submit': 'Send',
          'notifications': 'Notifications',
          'bending_orders': 'Bending Orders',
          'archived_orders': 'Archived Orders',
          'addresses': 'Addresses',
          'about_us': 'About Us',
          'contact_us': 'Contact Us',
          'logout': 'Logout',
          'add_to_cart': 'Add To Cart',
          'remove_from_cart': 'Remove From Cart',
          'applied': 'Applied',
          'enter_coupon_code': 'Enter Coupon Code',
          'price': 'Price',
          'discount': 'Discount',
          'shipping': 'Shipping',
          'total_price': 'Total Price',
          'place_order': 'Place Order',
          'delete': 'Delete',
          'you_have': 'You Have',
          'items_in_your_cart': 'Items In Your Cart',
          'using_coupon': 'Using Coupon',
          'choose_payment_method': 'Choose Payment Method',
          'payment_cards': 'Payment Cards',
          'cash_on_delivery': 'Cash On Delivery',
          'choose_delivery_type': 'Choose Delivery Type',
          'drive_thru': 'Drive Thru',
          'delivery': 'Delivery',
          'check_out': 'Check Out',
          'await_approval': 'Await Approval',
          'preparing': 'Preparing',
          'on_the_way': 'On The Way',
          'order_status': 'Order Status',
          'order_type': 'Delivery Type',
          'payment_method': 'Payment Method',
          'order_price': 'Order Price',
          'order_details': 'Order Details',
          'delete_order': 'Delete Order',
          'order_id': 'Order ID',
          'product': 'Product',
          'quantity': 'Quantity',
          'add_new_address': 'Add New Address',
          'add_details_address': 'Add Details Address',
          'name': 'Name',
          'enter_location_name': 'Enter Location Name',
          'city': 'City',
          'enter_city_name': 'Enter City Name',
          'street': 'Street',
          'enter_street_name': 'Enter Street Name',
          'phone': 'Phone',
          'enter_receiver_phone': 'Enter Receiver Phone',
          'add': 'Add',
          'choose_delivery_address': 'Choose Delivery Addrewss',
          'rate': 'Rate',
          'pending_orders': 'Pending Orders',
          'accepted_orders': 'Accepted Orders',
          'approve_order': 'Approve Order',
          'deliver_order': 'Deliver Order',
          'users': 'Users',
          'orders': 'Orders',
          'reports': 'Reports',
          'add_category': 'Add Category',
          'update_category': 'Update Category',
          'add_item': 'Add Item',
          'update_item': 'Update Item',
          'items': 'Items',
          'enter_category_name_in_arabic': 'Enter Category Name In Arabic',
          'enter_item_name_in_arabic': 'Enter Item Name In Arabic',
          'enter_category_name_in_english': 'Enter Category Name In Englis',
          'enter_item_name_in_english': 'Enter Item Name In Englis',
          'arabic_name': 'Arabic Name',
          'english_name': 'English Name',
          'choose_image': 'Choose Image',
          'create_category': 'Create Category',
          'create_item': 'Create Item',
          'change_image': 'Change Image',
          'select_image_first': 'Select Image First',
          'enter_item_desk_in_english': 'Enter Item Deskription In English',
          'englis_desk': 'Englis Deskription',
          'enter_item_desk_in_arabic': 'Enter Item Deskription In Arabic',
          'arabic_desk': 'Arabic Deskription',
          'enter_the_discount': 'Enter The Discount',
          'enter_the_price': 'Enter The Price',
          'enter_the_count': 'Enter The Count',
          'count': 'Count',
          'image_from_camera': 'Image From Camera',
          'image_from_gallery': 'Image From Gallery',
          'choose_category': 'Choose Category',
          'active': 'Active',
          'hide': 'Hide',
          'prepare_order': 'Prepare Order',
          'tracking': 'Tracking',
        },
      };
}
